Skip to main content
`Ctrl`+`K`

# DMDASetUniformCoordinates

Sets a `DMDA` coordinates to be a uniform grid

## Synopsis

    #include "petscdmda.h"
    PetscErrorCode DMDASetUniformCoordinates(DM da, PetscReal xmin, PetscReal xmax, PetscReal ymin, PetscReal ymax, PetscReal zmin, PetscReal zmax)

Collective

## Input Parameters

- da - the `DMDA` object

- xmin - min extreme in the x direction

- xmax - max extreme in the x direction

- ymin - min extreme in the y direction (value ignored for 1 dimensional problems)

- ymax - max extreme in the y direction (value ignored for 1 dimensional problems)

- zmin - min extreme in the z direction (value ignored for 1 or 2 dimensional problems)

- zmax - max extreme in the z direction (value ignored for 1 or 2 dimensional problems)

## See Also

DMDA - Creating vectors for structured grids, `DM`, `DMDA`, `DMSetCoordinates()`, `DMGetCoordinates()`, `DMDACreate1d()`, `DMDACreate2d()`, `DMDACreate3d()`, `DMStagSetUniformCoordinates()`

## Level

beginner

## Location

src/dm/impls/da/gr1.c

## Examples

src/dm/tutorials/ex20.c
src/dm/tutorials/ex25.c
src/dm/tutorials/swarm_ex3.c
src/dm/tutorials/ex3.c
src/dm/tutorials/ex13f90.F90
src/dm/tutorials/swarm_ex1.c
src/ksp/ksp/tutorials/ex71.c
src/dm/tutorials/ex4.c
src/dm/tutorials/ex10.c
src/dm/tutorials/ex21.c

Index of all DMDA routines
Table of Contents for all manual pages
Index of all manual pages